=== debian/changelog ===
xfce4-dockbarx-plugin (0.4.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Depend on libvala-0.42-dev

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 09 Dec 2019 23:37:53 -0500

xfce4-dockbarx-plugin (0.4.1-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 29 Nov 2017 20:51:26 -0500
 

xfce4-dockbarx-plugin (0.4.1-1~webupd8~zesty4) zesty; urgency=medium
 
  * Upload for Zesty
  * Depend on libvala-0.34-dev

 -- Alin Andrei <andrew@webupd8.org>  Mon, 20 Mar 2017 16:10:44 +0200

xfce4-dockbarx-plugin (0.4.1-1~webupd8~yakkety3) yakkety; urgency=medium
 
  * Upload for Yakkety
  * debian/control: use Vala 0.32 for building
  * debian/control: update Standards-Version to 3.9.8

 -- Alin Andrei <andrew@webupd8.org>  Mon, 17 Oct 2016 11:51:21 +0200

xfce4-dockbarx-plugin (0.4.1-1~webupd8~xenial2) xenial; urgency=medium
 
  * New upstream release
  * Depend on python-dbus
  * Removed fix-old-bg-methods.patch (applied upstream)
  * Use valac-0.28 for Wily and Xenial only

 -- Alin Andrei <webupd8@gmail.com>  Wed, 19 Aug 2015 12:12:37 +0200

xfce4-dockbarx-plugin (0.4-1~webupd8~trusty1) trusty; urgency=medium
 
  * New upstream release
  * Depend on python-dbus
  * Added fix-old-bg-methods.patch

 -- Alin Andrei <webupd8@gmail.com>  Wed, 12 Aug 2015 12:15:57 +0200

xfce4-dockbarx-plugin (0.3.1-0~webupd8~vivid1) vivid; urgency=medium
 
  * Upload for Vivid
  * Build with Vala 0.16 (0.14 not available for Vivid)

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Mar 2015 14:18:39 +0200

xfce4-dockbarx-plugin (0.3.1-0~webupd8~utopic0) utopic; urgency=medium
 
  * Upload for Utopic

 -- Alin Andrei <webupd8@gmail.com>  Thu, 11 Sep 2014 11:27:49 +0200

xfce4-dockbarx-plugin (0.3.1-0~webupd8~trusty0) trusty; urgency=medium
 
  * new upstream bugfix release
 
 -- Alin Andrei <webupd8@gmail.com>  Fri, 20 Jun 2014 12:33:17 +0200

xfce4-dockbarx-plugin (0.3-0~webupd8~precise0) precise; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 16 Jun 2014 12:33:17 +0200

xfce4-dockbarx-plugin (0.2.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Tue, 13 May 2014 12:33:17 +0200

xfce4-dockbarx-plugin (0.2-1~webupd8~trusty3) trusty; urgency=medium
 
  * initial packaging
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 20 Mar 2013 12:33:17 +0200
