=== debian/control ===
Source: xfce4-dockbarx-plugin
Section: xfce
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper, libvala-0.42-dev, valac, libglib2.0-dev, libgtk2.0-dev, xfce4-panel-dev, dockbarx-dockx, dockbarx
Standards-Version: 3.9.8
Homepage: https://github.com/TiZ-EX1/xfce4-dockbarx-plugin

Package: xfce4-dockbarx-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dockbarx (> 0.90), python-dbus
Description: DockBarX plugin for Xfce
 This is a DockBarX plugin for the Xfce panel
