## xfce4-dockbarx-plugin 0.6+git20200718

=== wscript ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2
+#!/usr/bin/env python3
 #
 # Copyright (c) 2011- Trent McPheron <twilightinzero@gmail.com>
 #
@@ -22,7 +22,7 @@
 
 # For creating a source archive.
 APPNAME = 'xfce4-dockbarx-plugin'
-VERSION = '0.4.1'
+VERSION = '0.6'
 
 # Required waf stuff.
 top = '.'
@@ -38,17 +38,19 @@
         ctx.options.prefix += ctx.options.prefix[-1]
 
     # Check for required stuff.
-    ctx.load('compiler_c misc')
-    ctx.load('vala', funs='')
-    ctx.check_vala()
+    ctx.load('compiler_c')
+    ctx.env.VALA_MINVER = (0, 36, 0)
+    ctx.load('vala')
+    ctx.env.append_value('CFLAGS', '-DGETTEXT_PACKAGE="gtk30"')
     args = '--cflags --libs'
-    ctx.find_program('dockx')
-    ctx.check_cfg(package = 'glib-2.0', atleast_version = '2.10',
+    ctx.check_cfg(package = 'glib-2.0', atleast_version = '2.42',
         uselib_store = 'GLIB', mandatory = True, args = args)
-    ctx.check_cfg(package = 'gtk+-2.0', atleast_version = '2.16',
+    ctx.check_cfg(package = 'gtk+-3.0', atleast_version = '3.22',
         uselib_store = 'GTK', mandatory = True, args = args)
-    ctx.check_cfg(package = 'libxfce4panel-1.0', atleast_version = '4.8',
+    ctx.check_cfg(package = 'libxfce4panel-2.0', atleast_version = '4.12',
         uselib_store = 'XFCE4PANEL', mandatory = True, args = args)
+    ctx.check_cfg(package = 'libxfconf-0', atleast_version = '4.12',
+        uselib_store = 'XFCONF', mandatory = True, args = args)
 
 def build (ctx):
     # Compile the program.
@@ -57,10 +59,10 @@
         is_lib       = True,
         vapi_dirs    = 'vapi',
         source       = ctx.path.ant_glob('src/*.vala'),
-        packages     = 'glib-2.0 gtk+-2.0 libxfce4panel-1.0',
+        packages     = 'glib-2.0 gtk+-3.0 libxfce4panel-2.0 libxfconf-0',
         target       = 'dockbarx',
         install_path = '${PREFIX}/lib/xfce4/panel/plugins/',
-        uselib       = 'GLIB GTK XFCE4PANEL')
+        use       = 'GLIB GTK XFCE4PANEL XFCONF')
 
     # Install other files.
     ctx(
