=== debian/changelog ===
xfce4-dockbarx-plugin (0.6+git20200718-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 24 Aug 2020 12:51:10 -0400

xfce4-dockbarx-plugin (0.6+git20200718-1~ppa2~20.10) groovy; urgency=medium
 
  * New git snapshot

 -- Xu Zhen <xuzhen@fastmail.com>  Sat, 18 Jul 2020 18:56:13 +0800

xfce4-dockbarx-plugin (0.6-1~groovy1) groovy; urgency=medium
 
  * New upstream release

 -- Xu Zhen <xuzhen@fastmail.com>  Sat, 27 Jun 2020 17:49:24 +0800

xfce4-dockbarx-plugin (0.5+git20200103-1~groovy1) groovy; urgency=medium
 
  * New upstream git snapshot

 -- Xu Zhen <xuzhen@fastmail.com>  Fri, 26 Jun 2020 22:51:05 +0800

xfce4-dockbarx-plugin (0.4.1+git20160817-1~xenial2) xenial; urgency=medium
 
  * Build for 16.04
  * Depend on libvala-0.30-dev

 -- Xu Zhen <xuzhen@fastmail.com>  Tue, 31 Jul 2018 21:41:13 +0800
