=== debian/control ===
Source: xfce4-dockbarx-plugin
Section: xfce
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Xu Zhen <xuzhen@fastmail.com>
Build-Depends: debhelper, libvala-0.48-dev, valac (>= 0.36), libglib2.0-dev (>= 2.42), libgtk-3-dev (>= 3.22), xfce4-panel-dev (>= 4.12), libxfce4panel-2.0-dev (>= 4.12), libxfconf-0-dev (>= 4.12), python3
Standards-Version: 4.0.0
Homepage: https://github.com/M7S/xfce4-dockbarx-plugin

Package: xfce4-dockbarx-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dockbarx-common (>= 1.0~beta)
Description: DockBarX plugin for Xfce
 This is a DockBarX plugin for the Xfce panel
