=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,14 @@
 #export DH_VERBOSE=1
 
 override_dh_auto_configure:
-	./waf configure --prefix=/usr
-	./waf build
-	mv src/xfce4-dockbarx-plug.py src/xfce4-dockbarx-plug
+	python3 ./waf configure --prefix=debian/xfce4-dockbarx-plugin/usr
+	python3 ./waf build
+
+override_dh_install:
+	python3 ./waf install
+
+override_dh_clean:
+	rm -fr .pc/ .waf3-2.0.19-*/ build/ .lock-waf_linux_build debian/xfce4-dockbarx-plugin/ debian/.debhelper/
 
 %:
 	dh $@
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
